:root {
  --text-color: #063442;
  --text-color-light: #888888;
  --main-color: #4fc4af;
  --dark-color: #2f746e;
  --light-color: #c1e7d2;
  --highlight-color: #fdf3cf;

  --secondary-color: #ffc07a;
  --secondary-color-dark: #ed7901;
  --secondary-color-very-dark: #b84c03;

  --r-background-color: white;
  --r-main-color: var(--main-color);

  --r-main-font-size: 32px;
  --r-block-margin: 3%;

  --r-heading1-size: 48px;
  --r-heading2-size: 38px;
  --r-heading-margin: 1% 0 4% 0;
  --r-heading-font: "poppins semibold", verdana;
  --r-heading-color: var(--text-color);
  --r-heading-line-height: 1.2em;
  --r-heading-text-transform: none;

  --r-code-font: "courier new";
  --r-link-color: var(--main-color);
  --r-link-color-dark: var(--secondary-color-very-dark);
  --r-link-color-hover: var(--secondary-color);
  --r-selection-color: var(--text-color);
  --r-selection-background-color: var(--secondary-color);
}

.reveal {
  font-family: carlito, lato, arial;
  color: var(--text-color);
}

.reveal .slides {
  text-align: left;
}

.reveal figure {
  text-align: center;
}

.reveal h1 {
  text-align: left;
  padding-left: 0.5em;
  border-left: 0.25em solid var(--main-color);
}

.reveal h2,
.reveal .subtitle {
  background: var(--main-color);
  color: white;
  display: table;
  padding: 5px 15px;
  font-size: var(--r-heading2-size);
  font-family: var(--r-heading-font);
}

.reveal h3 {
  color: var(--text-color);
  font-size: var(--r-main-font-size);
}

.reveal .author {
  margin-top: 2.8em;
}

.reveal .date {
  color: var(--text-color-light);
  font-size: 18px;
}

figure img {
  border: var(--highlight-color) 1px solid;
  box-shadow: 12px 12px var(--highlight-color);
}

strong {
  background: linear-gradient(
    to left,
    var(--highlight-color),
    var(--highlight-color)
  );
  background-position: 0.2em bottom;
  background-size: 100% 50%;
  background-repeat: no-repeat;
  padding-right: 0.2em;
  margin-right: -0.2em;
}

.reveal a:not(.slide-number a) {
  color: var(--secondary-color-dark);
  text-decoration: underline;
  text-decoration-thickness: 1px;
}

.reveal a:visited:not(.slide-number a) {
  color: var(--r-link-color-dark);
}
.reveal a:hover:not(.slide-number a) {
  color: var(--r-link-color-hover);
}

code {
  background-color: var(--highlight-color);
  font-size: calc(0.8 * var(--r-main-font-size));
}

/* Reveal controls */

.reveal .controls,
.reveal .progress {
  color: var(--main-color);
}

.reveal .progress {
  height: 8px;
}

.reveal .slide-number {
  font-size: 16px;
  right: auto;
  left: 8px;
  bottom: 16px;
  color: white;
  background-color: var(--text-color);
}

.reveal .text-micro {
  padding-top: 0em;
  color: var(--text-color-light);
  font-size: 18px;
}

.reveal .text-nano,
.reveal .text-nano code {
  font-size: 14px;
  color: var(--text-color-light);
}

mark {
  display: inline;
  background-color: var(--main-color);
  color: white;
  padding: 0 0.2em;
}

/* Cards */
.reveal .card {
  display: flex;
  align-items: center;
  color: white !important;
  padding: 1rem;
  margin: .7rem 0;
  background-color: var(--main-color);
}
.reveal .card-secondary {
  background-color: var(--secondary-color-dark);
}
.reveal .card-secondary strong {
  background: transparent;
}
.reveal .card p {
  width: 100%;
}
.reveal .card .fragment {
  color: white !important;
  width: 100%;
  padding-top: 0 !important;
}